commit:     7931e23c3d4b5f680c6ff1d884ec9008eebb977c
Author:     Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Sun Oct  2 10:11:35 2016 +0000
Commit:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Sun Oct  2 10:11:35 2016 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=7931e23c

sci-biology/nilearn: fixed gtk testing error (#690)

Package-Manager: portage-2.3.1

 sci-biology/nilearn/nilearn-0.1.4.1.ebuild | 3 ++-
 sci-biology/nilearn/nilearn-0.2.4.ebuild   | 3 ++-
 sci-biology/nilearn/nilearn-0.2.5.ebuild   | 3 ++-
 sci-biology/nilearn/nilearn-0.2.6.ebuild   | 3 ++-
 sci-biology/nilearn/nilearn-9999.ebuild    | 3 ++-
 5 files changed, 10 insertions(+), 5 deletions(-)

diff --git a/sci-biology/nilearn/nilearn-0.1.4.1.ebuild 
b/sci-biology/nilearn/nilearn-0.1.4.1.ebuild
index 9814724..a7c626a 100644
--- a/sci-biology/nilearn/nilearn-0.1.4.1.ebuild
+++ b/sci-biology/nilearn/nilearn-0.1.4.1.ebuild
@@ -32,5 +32,6 @@ RDEPEND="
 S="${WORKDIR}/${PN}-${MY_PV}"
 
 python_test() {
-       nosetests -v || die
+       echo "backend: Agg" > matplotlibrc
+       MPLCONFIGDIR=. nosetests -v || die
 }

diff --git a/sci-biology/nilearn/nilearn-0.2.4.ebuild 
b/sci-biology/nilearn/nilearn-0.2.4.ebuild
index 7816b7e..4666a3a 100644
--- a/sci-biology/nilearn/nilearn-0.2.4.ebuild
+++ b/sci-biology/nilearn/nilearn-0.2.4.ebuild
@@ -29,5 +29,6 @@ RDEPEND="
        plot? ( dev-python/matplotlib[${PYTHON_USEDEP}] )"
 
 python_test() {
-       nosetests -v || die
+       echo "backend: Agg" > matplotlibrc
+       MPLCONFIGDIR=. nosetests -v || die
 }

diff --git a/sci-biology/nilearn/nilearn-0.2.5.ebuild 
b/sci-biology/nilearn/nilearn-0.2.5.ebuild
index 7816b7e..4666a3a 100644
--- a/sci-biology/nilearn/nilearn-0.2.5.ebuild
+++ b/sci-biology/nilearn/nilearn-0.2.5.ebuild
@@ -29,5 +29,6 @@ RDEPEND="
        plot? ( dev-python/matplotlib[${PYTHON_USEDEP}] )"
 
 python_test() {
-       nosetests -v || die
+       echo "backend: Agg" > matplotlibrc
+       MPLCONFIGDIR=. nosetests -v || die
 }

diff --git a/sci-biology/nilearn/nilearn-0.2.6.ebuild 
b/sci-biology/nilearn/nilearn-0.2.6.ebuild
index 7816b7e..4666a3a 100644
--- a/sci-biology/nilearn/nilearn-0.2.6.ebuild
+++ b/sci-biology/nilearn/nilearn-0.2.6.ebuild
@@ -29,5 +29,6 @@ RDEPEND="
        plot? ( dev-python/matplotlib[${PYTHON_USEDEP}] )"
 
 python_test() {
-       nosetests -v || die
+       echo "backend: Agg" > matplotlibrc
+       MPLCONFIGDIR=. nosetests -v || die
 }

diff --git a/sci-biology/nilearn/nilearn-9999.ebuild 
b/sci-biology/nilearn/nilearn-9999.ebuild
index 36d9a30..9c9fb9d 100644
--- a/sci-biology/nilearn/nilearn-9999.ebuild
+++ b/sci-biology/nilearn/nilearn-9999.ebuild
@@ -30,5 +30,6 @@ RDEPEND="
        plot? ( dev-python/matplotlib[${PYTHON_USEDEP}] )"
 
 python_test() {
-       nosetests -v || die
+       echo "backend: Agg" > matplotlibrc
+       MPLCONFIGDIR=. nosetests -v || die
 }

Reply via email to